describe 'jboss::params' do

  context 'on non supported operating systems' do
    let :facts do 
      {:operatingsystem => 'RedHat'} 
    end
    it 'should fail' do 
      expect { subject }.to raise_error(/Module jboss is not supported on RedHat/) 
    end
  end

  context 'on non supported operating system release' do
    let :facts do 
      {:operatingsystem => 'Ubuntu',
      :operatingsystemrelease => '13.10'} 
    end
    it 'should fail' do 
      expect { subject }.to raise_error(/Module jboss is not supported on Ubuntu 13.10/) 
    end
  end

end
